Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossPortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet

All Implemented Interfaces:
  javax.portlet.Portlet

Direct Known Subclasses:
  CatalogPortlet, CMSAdminPortlet, CurrentUsersPortlet, ModePortlet, PageParameterPortlet, TestPortlet

    public class JBossPortlet

extends java.lang.Object
implements javax.portlet.Portlet

The JBossPortlet.

Version:
  $Revision: 10781 $
Author:
  Julien Viet

Constructor Summary
`JBossPortlet()`

Method Summary
`void` | `destroy()`
`protected void` | `doAdmin(JBossRenderRequest request, JBossRenderResponse response)` Throw a `PortletException`.
`protected void` | `doDispatch(JBossRenderRequest request, JBossRenderResponse response)`
`protected void` | `doEdit(JBossRenderRequest request, JBossRenderResponse response)` Provide a default generic editor for preferences that produce HTML markup.
`protected void` | `doHelp(JBossRenderRequest request, JBossRenderResponse response)` Throw a `PortletException`.
`protected void` | `doView(JBossRenderRequest request, JBossRenderResponse response)` Throw a `PortletException`.
`java.lang.String` | `getDefaultOperation()` Return the string main, it can be overriden to return another value by subclasses.
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration` | `getInitParameterNames()`
`java.lang.String` | `getOperationName()` Return the string op, it can be overriden to return another value by subclasses.
`javax.portlet.PortletConfig` | `getPortletConfig()`
`javax.portlet.PortletContext` | `getPortletContext()`
`java.lang.String` | `getPortletName()`
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale locale)`
`protected java.lang.String` | `getTitle(javax.portlet.RenderRequest request)`
`void` | `init()`
`void` | `init(javax.portlet.PortletConfig config)`
`void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`
`protected void` | `processAction(JBossActionRequest req, JBossActionResponse resp)` Calls `doDispatch(JBossActionRequest,JBossActionResponse)`.
`void` | `processAdmin(JBossActionRequest req, JBossActionResponse resp)`
`protected void` | `processDispatch(JBossActionRequest req, JBossActionResponse resp)` This method looks up the method corresponding to the action.
`void` | `processEdit(JBossActionRequest req, JBossActionResponse resp)` Default doEdit method that works in coordination with doEdit(JBossRenderRequest,JBossRenderResponse).
`void` | `processHelp(JBossActionRequest req, JBossActionResponse resp)`
`void` | `processView(JBossActionRequest req, JBossActionResponse resp)`
`protected void` | `render(JBossRenderRequest req, JBossRenderResponse resp)` Calls `doDispatch(JBossRenderRequest,JBossRenderResponse)`.
`void` | `render(javax.portlet.RenderRequest req, javax.portlet.RenderResponse resp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossPortlet

    public JBossPortlet()

Method Detail

### getDefaultOperation

    public java.lang.String getDefaultOperation()

  Return the string main, it can be overriden to return another value by subclasses.

### getOperationName

    public java.lang.String getOperationName()

  Return the string op, it can be overriden to return another value by subclasses.

### init

    public void init()
              throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### getPortletConfig

    public javax.portlet.PortletConfig getPortletConfig()

### getPortletName

    public java.lang.String getPortletName()

### getPortletContext

    public javax.portlet.PortletContext getPortletContext()

### processAction

    protected void processAction(JBossActionRequest req,
                                 JBossActionResponse resp)
                          throws javax.portlet.PortletException,
                                 javax.portlet.PortletSecurityException,
                                 java.io.IOException

  Calls `doDispatch(JBossActionRequest,JBossActionResponse)`.

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### processDispatch

    protected void processDispatch(JBossActionRequest req,
                                   JBossActionResponse resp)
                            throws javax.portlet.PortletException,
                                   javax.portlet.PortletSecurityException,
                                   java.io.IOException

  This method looks up the method corresponding to the action. It uses the action parameter using the parameter name defines by the `operationName` field of this class. If not method is found it uses the method defined by the return of the method `getDefaultOperation()` of this class. In order to be found a method must use `JBossActionRequest` and in the signature.

  If not valid dispatcher is found it throws a PortletException, otherwise it invokes the method by reflection. The invoked method may declare exceptions in the throws clause of the method. Whenever an exception is raised during the invocation of the method, a decision is taken depending on the nature of the exception :

  - If the exception is an instanceof `PortletException`, `IOException` then this exception is rethrown as is since this method declares them in its throws clause
  - If the exception is an instance of `RuntimeException` or `Error>/code>, it is rethrown as is`
  - Otherwise a `PortletException` is created with the caught exception as cause and thrown

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### processEdit

    public void processEdit(JBossActionRequest req,
                            JBossActionResponse resp)
                     throws javax.portlet.PortletException,
                            javax.portlet.PortletSecurityException,
                            java.io.IOException

  Default doEdit method that works in coordination with doEdit(JBossRenderRequest,JBossRenderResponse).

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### processHelp

    public void processHelp(JBossActionRequest req,
                            JBossActionResponse resp)
                     throws javax.portlet.PortletException,
                            javax.portlet.PortletSecurityException,
                            java.io.IOException

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### processAdmin

    public void processAdmin(JBossActionRequest req,
                             JBossActionResponse resp)
                      throws javax.portlet.PortletException,
                             javax.portlet.PortletSecurityException,
                             java.io.IOException

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### processView

    public void processView(JBossActionRequest req,
                            JBossActionResponse resp)
                     throws javax.portlet.PortletException,
                            javax.portlet.PortletSecurityException,
                            java.io.IOException

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### render

    protected void render(JBossRenderRequest req,
                          JBossRenderResponse resp)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Calls `doDispatch(JBossRenderRequest,JBossRenderResponse)`.

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doDispatch

    protected void doDispatch(JBossRenderRequest request,
                              JBossRenderResponse response)
                       throws javax.portlet.PortletException,
                              javax.portlet.PortletSecurityException,
                              java.io.IOException

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doView

    protected void doView(JBossRenderRequest request,
                          JBossRenderResponse response)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Throw a `PortletException`.

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doHelp

    protected void doHelp(JBossRenderRequest request,
                          JBossRenderResponse response)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Throw a `PortletException`.

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doEdit

    protected void doEdit(JBossRenderRequest request,
                          JBossRenderResponse response)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Provide a default generic editor for preferences that produce HTML markup.

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doAdmin

    protected void doAdmin(JBossRenderRequest request,
                           JBossRenderResponse response)
                    throws javax.portlet.PortletException,
                           javax.portlet.PortletSecurityException,
                           java.io.IOException

  Throw a `PortletException`.

  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.util.Locale locale)

### getTitle

    protected java.lang.String getTitle(javax.portlet.RenderRequest request)

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)
                                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Specified by:
    `init` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest request,
                              javax.portlet.ActionResponse response)
                       throws javax.portlet.PortletException,
                              javax.portlet.PortletSecurityException,
                              java.io.IOException

  Specified by:
    `processAction` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### render

    public void render(javax.portlet.RenderRequest req,
                       javax.portlet.RenderResponse resp)
                throws javax.portlet.PortletException,
                       javax.portlet.PortletSecurityException,
                       java.io.IOException

  Specified by:
    `render` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.portlet.Portlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD